package com.yihu.wlyy.entity.doctor.survey;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * Created by Reece on 2017/3/9.
 */
@Entity
@Table(name = "wlyy_survey_filter")
public class SurveyFilter extends IdEntity implements Serializable {
//   业务主键
    private  String code;
//    问卷编码
    private String surveyCode;
//    维度项目编码
    private String dimensionDetailCode;

    public SurveyFilter() {
    }

    public SurveyFilter(String code, String surveyCode, String dimensionDetailCode) {
        this.code = code;
        this.surveyCode = surveyCode;
        this.dimensionDetailCode = dimensionDetailCode;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSurveyCode() {
        return surveyCode;
    }

    public void setSurveyCode(String surveyCode) {
        this.surveyCode = surveyCode;
    }

    public String getDimensionDetailCode() {
        return dimensionDetailCode;
    }

    public void setDimensionDetailCode(String dimensionDetailCode) {
        this.dimensionDetailCode = dimensionDetailCode;
    }
}
